





/*
-- ------ SOrder ------ --
*/
function SOrder(){}
//-- ------ #Parameters ------ --

SOrder.prototype.sAjax_0=new netsSingleAjax();


//-- ------ #Methods ------ --
//-- #Navigation --

//-- #Search --
SOrder.prototype.sDefaultSTR="请在这里输入订单号...";
SOrder.prototype.OnSearch_Text=function(){
	var tmpSTR=document.getElementById("SOrderSearchTxt").value;
	if(tmpSTR==this.sDefaultSTR){
		tmpSTR="";
	}
	var tmpURL="../../../Plus/m_default/shop/orderList.php?"+
		"&DKeyword="+tmpCommon.encodeURL(tmpSTR,0)+
		"&DSearch=0,0,0,"+document.getElementById("SOrderStateTxt").value;
	
	window.location=tmpURL;
	return 0;
}
SOrder.prototype.OnSearch_Focus=function(pType){
	var tmpElement=document.getElementById("SOrderSearchTxt");
	if(pType==0){
		//#Focus
		if(tmpElement.value==this.sDefaultSTR){
			tmpElement.value="";
		}
		tmpElement.style.color="#333333";
	}else{
		//#Blur
		if(tmpElement.value==""){
			tmpElement.value=this.sDefaultSTR;
		}
		tmpElement.style.color="#CCCCCC";
	}
	
	return 0;
}


